de.esprit.netsuite.server.core

## Class FatalErrorHandler<S extends ServerContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<S>
      - - de.esprit.netsuite.server.core.FatalErrorHandler<S>

- All Implemented Interfaces:
    ApplicationObject<S>, SimpleLogSupport, Dumpable, ServerObject<S>, java.lang.Thread.UncaughtExceptionHandler, java.util.concurrent.RejectedExecutionHandler

      public class FatalErrorHandler<S extends ServerContext>
      extends AbstractServerObject<S>
      implements java.lang.Thread.UncaughtExceptionHandler, java.util.concurrent.RejectedExecutionHandler

  This error handler reports fatal errors in the logfile and sends an email notification to registered email recipients.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FatalErrorHandler(S serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `rejectedExecution(java.lang.Runnable r, java.util.concurrent.ThreadPoolExecutor executor)`
    `void` | `uncaughtException(java.lang.Thread t, java.lang.Throwable e)`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FatalErrorHandler

          public FatalErrorHandler(S serverCtx)

  - ### Method Detail

    - #### uncaughtException

          public void uncaughtException(java.lang.Thread t,
                               java.lang.Throwable e)

      Specified by:
        `uncaughtException` in interface `java.lang.Thread.UncaughtExceptionHandler`

    - #### rejectedExecution

          public void rejectedExecution(java.lang.Runnable r,
                               java.util.concurrent.ThreadPoolExecutor executor)

      Specified by:
        `rejectedExecution` in interface `java.util.concurrent.RejectedExecutionHandler`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.